Fix for Bug 342494 - On JVM 1.5 loading org.eclipse.objectteams.otdt.apt causes exceptions
- declared required ee or otdt.apt: 1.6
- avoid loading aspect bindings from unresolved bundles.
diff --git a/plugins/org.eclipse.objectteams.otdt.apt/META-INF/MANIFEST.MF b/plugins/org.eclipse.objectteams.otdt.apt/META-INF/MANIFEST.MF
index 4cffbb9..4218742 100644
--- a/plugins/org.eclipse.objectteams.otdt.apt/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.objectteams.otdt.apt/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@
 Bundle-Version: 0.8.0.qualifier
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.objectteams.otequinox;bundle-version="[0.8.0,0.9.0)",
  org.eclipse.osgi,
  org.eclipse.jdt.core;bundle-version="[3.7.0.v_OTDT_r080,3.7.0.v_OTDT_r090)"
diff --git a/plugins/org.eclipse.objectteams.otdt.apt/build.properties b/plugins/org.eclipse.objectteams.otdt.apt/build.properties
index bc3b0f2..76da9ae 100644
--- a/plugins/org.eclipse.objectteams.otdt.apt/build.properties
+++ b/plugins/org.eclipse.objectteams.otdt.apt/build.properties
@@ -5,3 +5,5 @@
                plugin.xml,\
                plugin.properties,\
                about.html
+jre.compilation.profile = J2SE-1.5
+javacProjectSettings=true